aagc.vo

## Class DcrMazzetteResponse

- java.lang.Object
- - aagc.vo.DcrMazzetteResponse

-     public class DcrMazzetteResponse
      extends java.lang.Object

  Risultato della registrazione Distinta Contabile Riepilogativa.
  Contiene:

  - impSaldoPercepito: Importo del saldo
  - bytesArray: Bytearray del report di riepilogo della registrazione della Distinta Contabile Riepilogativa
  - numeroProtocollo: Numero di Protocollo della DCR

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="dcrMazzetteResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="impSaldoPercepito" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="bytesArray" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
               <element name="numeroProtocollo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `bytesArray`
    `protected java.lang.String` | `impSaldoPercepito`
    `protected java.lang.String` | `numeroProtocollo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DcrMazzetteResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBytesArray()` Recupera il valore della proprietà bytesArray.
    `java.lang.String` | `getImpSaldoPercepito()` Recupera il valore della proprietà impSaldoPercepito.
    `java.lang.String` | `getNumeroProtocollo()` Recupera il valore della proprietà numeroProtocollo.
    `void` | `setBytesArray(byte[] value)` Imposta il valore della proprietà bytesArray.
    `void` | `setImpSaldoPercepito(java.lang.String value)` Imposta il valore della proprietà impSaldoPercepito.
    `void` | `setNumeroProtocollo(java.lang.String value)` Imposta il valore della proprietà numeroProtocollo.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### impSaldoPercepito

          protected java.lang.String impSaldoPercepito

    - #### bytesArray

          protected byte[] bytesArray

    - #### numeroProtocollo

          protected java.lang.String numeroProtocollo

  - ### Constructor Detail

    - #### DcrMazzetteResponse

          public DcrMazzetteResponse()

  - ### Method Detail

    - #### getImpSaldoPercepito

          public java.lang.String getImpSaldoPercepito()

      Recupera il valore della proprietà impSaldoPercepito.
      Returns:
        possible object is `String`

    - #### setImpSaldoPercepito

          public void setImpSaldoPercepito(java.lang.String value)

      Imposta il valore della proprietà impSaldoPercepito.
      Parameters:
        `value` - allowed object is `String`

    - #### getBytesArray

          public byte[] getBytesArray()

      Recupera il valore della proprietà bytesArray.
      Returns:
        possible object is byte[]

    - #### setBytesArray

          public void setBytesArray(byte[] value)

      Imposta il valore della proprietà bytesArray.
      Parameters:
        `value` - allowed object is byte[]

    - #### getNumeroProtocollo

          public java.lang.String getNumeroProtocollo()

      Recupera il valore della proprietà numeroProtocollo.
      Returns:
        possible object is `String`

    - #### setNumeroProtocollo

          public void setNumeroProtocollo(java.lang.String value)

      Imposta il valore della proprietà numeroProtocollo.
      Parameters:
        `value` - allowed object is `String`